> For the complete documentation index, see [llms.txt](https://apidocs.zerionsoftware.com/doc/iformbuilder-v81/llms.txt)

# Retrieve a List of Page HTTP Callbacks

> GET /profiles/{profile_id}/pages/{page_id}/http_callbacks



## Servers
- https://api.iformbuilder.com/exzact/api/v81/[servername]: https://api.iformbuilder.com/exzact/api/v81/[servername]


## Authentication methods
- Oauth2


## Parameters
### Headers

- **Authorization** (string)
  e.g. Bearer {access_token}


### Path parameters

- **profile_id** (string)
  id of the profile

- **page_id** (number)
  id of the page


### Query parameters

- **fields** (string)
  extra information of each option localization on the list

- **limit** (number)
  maximum count of the option localization list

- **offset** (number)
  skip that many option localization before beginning to return

- **validate_grammar** (string)
  returns an error for incorrect field grammar when set to true

- **all_fields** (boolean)
  will show all fields for each option localization

- **exclude** (string)
  will exclude specified fields



## Responses
### 200
OK
#### Headers

- **Total-Count** (string)


#### Body: application/json (object)
- **id** (number)

- **name** (string)

- **url** (string)

- **feed_format** (string)
  must match "json" or "xml"

- **feed_format_version** (string)
  Must specifiy in URL parameter to retrieve

- **content_type: `header` (string, optional) - must match "header" or "key_value_pair"** (string)

- **key_value_pair_key (string, optional) - reuqired if content_type is "key_value_pair"** (string)

- **error_email** (string)

- **notification_email** (string)

- **is_guaranteed_delivery** (boolean)

- **mode** (string)

- **secure_type** (string)

- **is_disabled** (boolean)

- **trigger_post_email** (string)
  Must specifiy in URL parameter to retrieve

- **secure_key** (string)


### 404
Not Found - `page_id` does not exist or is not a page of `profile_id`.

#### Body: application/json (object)
- **error_message** (string)
  human-readable reason for the failure



[Powered by Bump.sh](https://bump.sh)
